Bug 586281 - samyak-oriya-fonts isn't usable
Summary: samyak-oriya-fonts isn't usable
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: samyak-fonts   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Naveen Kumar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 586888
TreeView+ depends on / blocked
 
Reported: 2010-04-27 08:44 UTC by Akira TAGOH
Modified: 2010-06-29 15:35 UTC (History)
4 users (show)

Fixed In Version: samyak-fonts-1.2.2-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 586888 (view as bug list)
Environment:
Last Closed: 2010-06-29 15:35:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Akira TAGOH 2010-04-27 08:44:13 UTC
Description of problem:
samyak-oriya-fonts is supposed to work for Oriya font though, it doesn't have enough glyph coverage in fontconfig.

Version-Release number of selected component (if applicable):
samyak-oriya-fonts-1.2.1-11.fc13.noarch

How reproducible:
always

Steps to Reproduce:
1.fc-match -v "Samyak Oriya"|grep -E "        lang"|grep or
2.
3.
  
Actual results:
No output

Expected results:
the lang spec should contains or.

Additional info:

Comment 1 Akira TAGOH 2010-04-27 08:44:40 UTC
This is raised during the testing of Bug#578042.

Comment 2 Pravin Satpute 2010-04-28 09:21:43 UTC
while going through this bug, problem is from font side

see font is not providing any language

Pattern has 20 elts (size 32)
	family: "Samyak Oriya"(s)
	familylang: "en"(s)
	style: "Regular"(s)
	stylelang: "en"(s)
	fullname: "Samyak Oriya"(s)
	fullnamelang: "en"(s)
	slant: 0(i)(s)
	weight: 100(i)(s)
	width: 100(i)(s)
	foundry: "unknown"(s)
	file: "/usr/share/fonts/samyak/samyak-oriya/Samyak-Oriya.ttf"(s)
	index: 0(i)(s)
	outline: FcTrue(s)
	scalable: FcTrue(s)
	charset: 
	0000: 00000000 00000001 00000000 00000000 00000000 00000000 00000000 00000000
	000b: fff99ff8 f3edfdff b0c0398f 0003ffc3 00000000 00000000 00000000 00000000
	1100: 00000001 00000000 00000000 00000000 00000000 00000000 00000000 00000000
(s)
	lang: (s)
	fontversion: 78643(i)(s)
	capability: "otlayout:latn otlayout:orya"(s)
	fontformat: "TrueType"(s)
	decorative: FcFalse(s)

Comment 3 Naveen Kumar 2010-04-29 11:52:52 UTC
The unicode values of U+0B01 & U+0B02 specified in or.orth are missing in this font and hence script/language requirement is not fulfilled.

@psatpute Adding glyphs for U+0B01 & U+0B02 would solve this problem.

Comment 4 Fedora Update System 2010-06-17 09:28:03 UTC
samyak-fonts-1.2.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/samyak-fonts-1.2.2-1.fc13

Comment 5 Fedora Update System 2010-06-21 13:06:31 UTC
samyak-fonts-1.2.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update samyak-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/samyak-fonts-1.2.2-1.fc13

Comment 6 Fedora Update System 2010-06-29 15:35:11 UTC
samyak-fonts-1.2.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.